## rlottie-qml 0.1~git20210503.f950688

=== debian/changelog ===
rlottie-qml (0.1~git20210503.f950688-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1068861).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 12 Apr 2024 14:12:24 +0200
