=== debian/control ===
Source: rlottie-qml
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               debhelper-compat (= 13),
               libquazip5-dev,
               librlottie-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/mymike00/rlottie-qml
Vcs-Browser: https://salsa.debian.org/ubports-team/rlottie-qml/
Vcs-Git: https://salsa.debian.org/ubports-team/rlottie-qml.git

Package: qml-module-rlottie
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
Description: rLottie QML module
 rLottie is a platform independent standalone C++ library for rendering
 vector based animations and art in realtime.
 .
 This package provides a QML module binding for rLottie.
