## rlottie-qml 0.1~git20240610.022644c

=== debian/changelog ===
rlottie-qml (0.1~git20240610.022644c-2) unstable; urgency=medium

  [ Cosima Neidahl ]
  * debian/patches:
    + Add 1003-Fix-QLottieFrameProvider-install-location.patch. Fix install
      location of QLottieFrameProvider.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 31 Dec 2024 11:09:01 +0100

rlottie-qml (0.1~git20240610.022644c-1) unstable; urgency=medium

  * New upstream Git snapshot:
    https://gitlab.com/mymike00/rlottie-qml/-/tree/
    022644c5eefc23b6f99cf77c1005666d5a678562
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions and adjust to the upstream license changes
      (GPL-3 -> LGPL-3).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Nov 2024 13:32:58 +0100

rlottie-qml (0.1~git20210503.f950688-2) unstable; urgency=medium

  [ Cosima Neidahl ]
  * debian/patches:
    + Add 1002_Use-upstream-QuaZip.patch. Apply patch to use upstream QuaZip
      CMake module.
  * debian/control:
    + In B-D, switch from libquazip5-dev to libquazip1-qt5-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Oct 2024 20:27:29 +0200
