=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake,
                cmake-extras,
                debhelper-compat (= 13),
-               libquazip5-dev,
+               libquazip1-qt5-dev,
                librlottie-dev,
                qtbase5-dev,
                qtdeclarative5-dev,
